VERSION 5.00
Begin VB.Form SortingOptions 
   BorderStyle     =   1  'Fixed Single
   Caption         =   "Directory merge sorting option"
   ClientHeight    =   2670
   ClientLeft      =   45
   ClientTop       =   435
   ClientWidth     =   6435
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   2670
   ScaleWidth      =   6435
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton cmdCancel 
      Caption         =   "Cancel"
      Height          =   420
      Left            =   4665
      TabIndex        =   7
      Top             =   135
      Width           =   1710
   End
   Begin VB.CommandButton cmdOK 
      Caption         =   "I choose this option"
      Height          =   1740
      Left            =   4665
      TabIndex        =   6
      Top             =   750
      Width           =   1695
   End
   Begin VB.OptionButton Option1 
      Caption         =   "last modification date and time (reversed)"
      Height          =   405
      Index           =   3
      Left            =   285
      TabIndex        =   5
      Top             =   1965
      Width           =   3465
   End
   Begin VB.OptionButton Option1 
      Caption         =   "reverse lexical ordering of file names"
      Height          =   405
      Index           =   1
      Left            =   285
      TabIndex        =   3
      Top             =   1230
      Width           =   3030
   End
   Begin VB.Frame Frame1 
      Caption         =   " Sort files according to: "
      Height          =   1920
      Left            =   120
      TabIndex        =   1
      Top             =   600
      Width           =   4455
      Begin VB.OptionButton Option1 
         Caption         =   "last modification date and  time"
         Height          =   405
         Index           =   2
         Left            =   165
         TabIndex        =   4
         Top             =   1005
         Width           =   3045
      End
      Begin VB.OptionButton Option1 
         Caption         =   "lexical ordering of file names"
         Height          =   405
         Index           =   0
         Left            =   165
         TabIndex        =   2
         Top             =   270
         Width           =   3135
      End
   End
   Begin VB.Label Label1 
      Caption         =   "Please specify your sorting option for directory merge"
      Height          =   405
      Left            =   90
      TabIndex        =   0
      Top             =   150
      Width           =   4140
   End
End
Attribute VB_Name = "SortingOptions"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False

Option Explicit

Private iSortOption As Integer
Private iOptionSelected As Integer
Private boFormActivated As Boolean
Private boProcessingOption As Boolean
Private formW As Single, formH As Single

Public Property Let SortOption(ByVal sorting As Integer)
Dim i As Integer
iSortOption = sorting
Select Case iSortOption
  Case 1
    iOptionSelected = 0

  Case -1
    iOptionSelected = 1

  Case 2
    iOptionSelected = 2

  Case -2
    iOptionSelected = 3
End Select
For i = 0 To 3
  Option1(i).Value = False
Next i
Option1(iOptionSelected).Value = True
End Property

Public Property Get SortOption() As Integer
SortOption = iSortOption
End Property

Private Sub Option1_Click(Index As Integer)
Dim i As Integer
If boProcessingOption Then Exit Sub
boProcessingOption = True
iOptionSelected = Index
For i = 0 To 3
  Option1(i).Value = False
Next i
Option1(iOptionSelected).Value = True
boProcessingOption = False
End Sub

Private Sub cmdOK_Click()
Select Case iOptionSelected
  Case 0
    iSortOption = 1

  Case 1
    iSortOption = -1

  Case 2
    iSortOption = 2

  Case 3
    iSortOption = -2
End Select
Unload Me
End Sub

Private Sub cmdCancel_Click()
Unload Me
End Sub

'
Private Sub Form_Activate()
If boFormActivated Then Exit Sub
boFormActivated = True
Me.Move ((Screen.Width - formW) / 2), ((Screen.Height - formH) / 2)
End Sub

'
Private Sub Form_Load()
boFormActivated = False
boProcessingOption = False
formW = Me.Width
formH = Me.Height
End Sub

